package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 打印字体单位
 *
 * @author:
 * @date: 2022/12/26 11:11
 */
public enum PrintFontUnitEnum {
    PRINT_WORLD("world", "world"),
    PRINT_DISPLAY("display", "display"),
    PRINT_PIXEL("pixel", "pixel"),
    PRINT_POINT("point", "point"),
    PRINT_INCH("inch", "inch"),
    PRINT_DOCUMENT("document", "document"),
    PRINT_MILLIMETER("millimeter", "millimeter"),
    ;
    private String value;
    private String desc;

    PrintFontUnitEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PrintFontUnitEnum getByValue(String value) {
        for (PrintFontUnitEnum BusizTypeEnum : PrintFontUnitEnum.values()) {
            if (BusizTypeEnum.getValue().equals(value)) {
                return BusizTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PrintFontUnitEnum item : PrintFontUnitEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}